
package com.tmerclub.cloud.flow.service;

import java.util.Date;

/**
 * 流量分析—页面数据统计表
 *
 * @author YXF
 * @date 2021-05-21 15:25:19
 */
public interface SystemUserAnalyseMongoService {

    /**
     * 统计当天各端的流量数据
     *
     * 统计数据存储表：flow_system_user
     * 数据统计来源表：flow_user_log
     * @param dateType
     * @param beginDate
     * @param endDate
     * @return 统计的数据
     */
    void statisticsAndSaveSystemUserOfDay(Integer dateType, Date beginDate, Date endDate);
}
