
package com.tmerclub.cloud.im.constants;

/**
 * @author Lzk
 */
public class MsgCode {

    /**
     * 心跳
     */
    public static final int HEART_BEAT = 0;

    /**
     * 历史聊天记录
     */
    public static final int HISTORY = 2;

    /**
     * 当前在线客服列表
     */
    public static final int EMPLOYEE_ONLINE = 3;

    /**
     * 转接客服成功
     */
    public static final int CHANGE_EMPLOYEE_SUCCESS = 4;

    /**
     * 消息已读
     */
    public static final int READ = 5;

    /**
     * 无法获取用户信息
     */
    public static final int CAN_NOT_FIND_USER_INFO = 10;

    /**
     * 账户已在别处登录，请刷新
     */
    public static final int LOGIN_IN_OTHER_PLACE = 11;

    /**
     * 内容格式有误
     */
    public static final int CONTENT_FORMAT_ERROR = 13;

    /**
     * 参数有误
     */
    public static final int PARAM_ERROR = 14;

    /**
     * 不是你负责的客户
     */
    public static final int NOT_YOUR_CLIENT = 15;

    /**
     * 上下线提醒
     */
    public static final int ONLINE_OR_OFFLINE = 16;

    /**
     * 未读消息
     */
    public static final int UNREAD_MESSAGE = 17;

    /**
     * 用户账号已注销
     */
    public static final int USER_ACCOUNT_CANCELLATION = 18;

}
