package com.tmerclub.cloud.search.canal.support.processor;

import com.tmerclub.cloud.search.canal.model.ModelTable;

import java.util.List;

/**
 * @author throwable
 * @version v1
 * @description
 * @since 2020/9/24 0:59
 */
public interface CanalBinlogEventProcessorFactory {

    /**
     * 注册
     * @param modelTable
     * @param processor
     */
    void register(ModelTable modelTable, BaseCanalBinlogEventProcessor<?> processor);

    /**
     * 获取
     * @param modelTable
     * @return
     */
    List<BaseCanalBinlogEventProcessor<?>> get(ModelTable modelTable);
}
