package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author lanhai
 */
public class ShopWithdrawCashConfigDto implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "最少提现金额")
    private Double withdrawCashLeast;
    @Schema(description = "最多提现金额")
    private Double withdrawCashMax;
    @Schema(description = "提现金额频率")
    private Integer frequency;
    @Schema(description = "提现金额次数")
    private Integer number;

    public Double getWithdrawCashLeast() {
        return withdrawCashLeast;
    }

    public void setWithdrawCashLeast(Double withdrawCashLeast) {
        this.withdrawCashLeast = withdrawCashLeast;
    }

    public Double getWithdrawCashMax() {
        return withdrawCashMax;
    }

    public void setWithdrawCashMax(Double withdrawCashMax) {
        this.withdrawCashMax = withdrawCashMax;
    }

    public Integer getFrequency() {
        return frequency;
    }

    public void setFrequency(Integer frequency) {
        this.frequency = frequency;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }
}
