
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 店铺装修信息
 *
 * @author Orange
 * @date 2022-08-12 11:27:18
 */
public class ShopRenovation extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 店铺装修id
     */
    private Long renovationId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 装修名称
     */
    private String name;

    /**
     * 装修内容
     */
    private String content;

    /**
     * 是否主页 1.是 0.不是
     */
    private Integer homeStatus;

    /**
     * 装修类型 1.pc 2.移动端
     */
    private Integer renovationType;

    public Long getRenovationId() {
        return renovationId;
    }

    public void setRenovationId(Long renovationId) {
        this.renovationId = renovationId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getHomeStatus() {
        return homeStatus;
    }

    public void setHomeStatus(Integer homeStatus) {
        this.homeStatus = homeStatus;
    }

    public Integer getRenovationType() {
        return renovationType;
    }

    public void setRenovationType(Integer renovationType) {
        this.renovationType = renovationType;
    }

    @Override
    public String toString() {
        return "ShopRenovation{" +
                "renovationId=" + renovationId +
                ",shopId=" + shopId +
                ",name=" + name +
                ",content=" + content +
                ",homeStatus=" + homeStatus +
                ",renovationType=" + renovationType +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                '}';
    }
}
