package com.tmerclub.cloud.product.service;

import com.tmerclub.cloud.common.order.vo.ShopCartItemVO;
import com.tmerclub.cloud.product.dto.shopcart.ChangeShopCartItemDTO;

import java.util.List;

/**
 * @author xxw
 * @date 2022/8/19 11:34
 */
public interface ComboShopCartService {
    /**
     * 加购时处理组装购物车套餐商品
     *
     * @param param
     * @param shopCartItems
     */
    void comboAddCart(ChangeShopCartItemDTO param, List<ShopCartItemVO> shopCartItems);

    /**
     * 修改时处理组装购物车套餐商品
     *
     * @param param
     * @param shopCartItems
     */
    void comboUpdateCart(ChangeShopCartItemDTO param, List<ShopCartItemVO> shopCartItems);
}
